/* Importing Google fonts */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:wght@300;400;900&display=swap');

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;  
  font-family: "poppins", sans-serif;  
}

:root{
    /* Colors */
    --white-color: #fff;
    --dark-color: #252525;
    --primary-color: #0057b8;
    --secondary-color: #4a4a4a;
    --primary-light: #1e75d9;
    --primary-dark: #003f8a; 
    --gradient-primary: linear-gradient(135deg, #0057b8, #1e75d9);
    --gradient-dark: linear-gradient(135deg, #252525, #4a4a4a);

    /* Font size */
    --font-size-s: 0.9rem;
    --font-size-n: 1rem;
    --font-size-m: 1.12rem;
    --font-size-1: 1.5rem;
    --font-size-x1: 2rem;
    --font-size-xx1: 2.3rem;


    /* Font weight */
    --font-weight-normal: 400;
    --font-weight-medium: 500;
    --font-weight-semibold: 600;
    --font-weight-bold:700;

    /* border radius */
    --border-radius-s: 8px;
    --border-radius-m: 30px;
    --border-radius-circle: 50%;

    /* Site max width */
    --site-mas-width: 1300px;

}

/* Stylings for whole site */
ul{
    list-style: none;
} 

a{
    text-decoration: none;
}

button{
    cursor:pointer;
    border:none;
    background: none;
}

img{
    width: 100%;
}

.section-content{
    margin: 0 auto;
    padding: 0 20px;
    max-width: var(--site-mas-width);
}

.section-title{
    text-align: center;
    padding: 60px 0 100px;
    text-transform: uppercase;
    font-size: var(--font-size-x1);
}

.section-title::after{
    content: "";
    width: 80px;
    height: 5px;
    display: block;
    margin:10px auto 0;
    border-radius: var(--border-radius-s);
    background: var(--primary-color);
}



/* Navbar styling */
header{
    position: fixed;
    width: 100%;
    z-index: 5;
    background: var(--white-color);
}

header .navbar{
    display: flex;
    padding:20px;
    align-items: center;
    justify-content: space-between;

}
.navbar .nav-logo .logo-img{
    width: 110px; 
    height: auto; 
    display: block;
}

.navbar .nav-menu{
    display:flex;
    gap: 10px;
}

.navbar .nav-menu .nav-link{
    padding: 10px 18px;
    color: var(--dark-color);
    font-size: var(--font-size-m);
    border-radius: var(--border-radius-m);
    transition: 0.3s ease;
}

.navbar .nav-menu .nav-link:hover{
    color: var(--white-color);
    background: var(--primary-light);

}

.navbar :where(#menu-close-button, #menu-open-button){
    display: none;
}



/* Hero section */
.hero-section{
    min-height: 100vh;
    background: var(--primary-light);
}

.hero-section .section-content{
    display: flex;
    align-items: center;
    min-height: 100vh;
    color: var(--white-color);
    justify-content: space-between;
}

.hero-section .hero-details .title{
    font-size: var(--font-size-xx1);
    color: var(--white-color);
    font-family: "Montserrat", sans-serif;
}

.hero-section .hero-details .subtitle{
    margin-top: 8px;
    max-width: 70%;
    font-size: var(--font-size-x1);
    font-family: "Montserrat", sans-serif;
    font-weight: var(--font-weight-semibold);
}

.hero-section .hero-details .description{
    max-width: 70%;
    margin: 24px 0 40px;
    font-size: var(--font-size-m);
}

.hero-section .hero-details .buttons{
    display: flex;
    gap: 23px;

}

.hero-section .hero-details .button{
    padding: 10px 26px;
    border: 2px solid transparent;
    color: var(--white-color);
    border-radius: var(--border-radius-m);
    background: var(--dark-color);
    font-weight: var(--font-weight-medium);
    transition: 0.3s ease;
}

.hero-section .hero-details .button:hover,
.hero-section .hero-details .contact-us{
    color:var(--white-color);
    border-color: var(--white-color);
    background: transparent;
}

.hero-section .hero-details .contact-us:hover{
    color:var(--white-color);
    border-color: var(--dark-color);
    background: var(--dark-color);
}

.hero-section .hero-image-wrapper{
    max-width: 260px;
    margin-right: 80px;
}

@media screen and (max-width: 900px) {
    :root{
        --font-size-m: 1rem;
        --font-size-1: 1.3rem;
        --font-size-x1: 1.5rem;
        --font-size-xx1: 1.8rem;

    }

    body.show-mobile-menu header::before{
        content: "";
        position: fixed;
        left: 0;
        top: 0;
        height: 100%;
        width: 100%;
        backdrop-filter: blur(5px);
        background: rgba(0, 0, 0, 0.2);
    }

    .navbar :where(#menu-close-button, #menu-open-button){
        display: block;
        font-size: var(--font-size-1);
    }

    .navbar #menu-close-button{
        position: absolute;
        right: 30px;
        top: 30px;
    }
    
    .navbar #menu-open-button{
        color: var(--dark-color);
    }

    .navbar .nav-menu{
        display:block;
        position: fixed;
        left: -300px;
        top: 0;
        width: 300px;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-top: 100px;
        background: var(--white-color);
        transition: left 0.2s ease;
    }

    body.show-mobile-menu .navbar .nav-menu{
        left: 0;
    }

    .navbar .nav-menu .nav-link{
        color: var(--dark-color);
        display: block;
        margin-top: 17px;
        font-size: var(--font-size-1); 
    }

    .hero-section .section-content{
        gap: 50px;
        text-align: center;
        padding: 30px 20px 20px;
        flex-direction: column-reverse;
        justify-content: center;
    }

    .hero-section .hero-details :is(.subtitle, .description){
        max-width: 100%;
        
    }

    .hero-section .hero-details .buttons{
        justify-content: center;
    }

    .hero-section .hero-image-wrapper{
        max-width: 200px;
        margin-right: 0;
    }
}


/* Contact section */
.contact-section{
    padding: 50px 0 100px;
    background: var(--white-color);
}

.contact-section .section-content{
    display: flex;
    gap: 48px;
    align-items: flex-start;
    justify-content: space-between;
}

.contact-section .contact-info-list .contact-info{
    display:flex;
    gap: 20px;
    margin: 20px 0;
    align-items: center;
}

.contact-section .contact-info-list .contact-info{
    font-size: var(--font-size-m);
}

.contact-section .contact-form .form-input{
    width: 100%;
    height: 50px;
    padding: 0 12px;
    outline: none;
    margin-bottom: 16px;
    background: var(--white-color);
    border-radius: var(--border-radius-s);
    border: 1px solid var(--secondary-color);
}

.contact-section .contact-form{
    max-width: 50%;
}

.contact-section .contact-form .form-input:focus{
    border-color: var(--primary-color)
}

.contact-section .contact-form textarea{
    height: 100px;
    padding: 12px;
    resize: vertical;
}

.contact-section .contact-form .submit-button{
    padding: 10px 26px;
    margin-top: 10px;
    color: var(--white-color);
    font-size: var(--font-size-m);
    font-weight: var(--font-weight-medium);
    background: var(--primary-color);
    border-radius: var(--border-radius-m);
    border: 1px solid var(--primary-color);
    transition: 0.3s ease;
}

.contact-section .contact-form .submit-button:hover{
    background: transparent;
    color: var(--secondary-color);
}